import { DecodedTx } from '../interfaces/decoded';
import { Interpretation } from '../interfaces/interpreted';
import { Chain } from '../interfaces/utils';
import { ZenLedgerData, ZenLedgerRow } from '../interfaces/zenLedger';
declare class TaxFormatter {
    walletAddress: string;
    walletName: string;
    chain: Chain;
    rows: ZenLedgerRow[];
    constructor(walletAddress: string, walletName: string, chain?: Chain);
    format(activityData: ZenLedgerData[], walletAddress?: null, walletName?: string): ZenLedgerRow[];
    formatSingleActivity(decodedTx: DecodedTx, interpretedData: Interpretation): void;
}
export default TaxFormatter;
