"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testTxHashes_1 = require("../__tests__/testTxHashes");
require("./setupEnv");
const translator_1 = __importDefault(require("../utils/translator"));
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        const translator = yield (0, translator_1.default)();
        yield translator.allDataFromTxHashArr((0, testTxHashes_1.flattenTxHashes)());
        process.exit(0);
    });
}
run();
//# sourceMappingURL=seed-db-test-decoded-txs.js.map