"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const erc20_json_1 = __importDefault(require("./erc20.json"));
const erc721_json_1 = __importDefault(require("./erc721.json"));
const fallback_json_1 = __importDefault(require("./fallback.json"));
const tokenABIMap = {
    ["ERC20" /* ContractType.ERC20 */]: erc20_json_1.default,
    ["ERC721" /* ContractType.ERC721 */]: erc721_json_1.default,
    ["ERC1155" /* ContractType.ERC1155 */]: fallback_json_1.default,
    ["WETH" /* ContractType.WETH */]: fallback_json_1.default,
    ["Gnosis Safe" /* ContractType.GNOSIS */]: fallback_json_1.default,
    ["OTHER" /* ContractType.OTHER */]: fallback_json_1.default,
};
exports.default = tokenABIMap;
//# sourceMappingURL=index.js.map