import { Axios } from 'axios';
import { CovalentTxData, GetBalancesResponse, GetTransactionsOptions, GetTransactionsResponse } from '../../interfaces/covalent';
export default class Covalent {
    client: Axios;
    chainId: number;
    constructor(covalentApiKey: string, chainId?: number);
    getBalancesFor(address: string, { page, limit }?: GetTransactionsOptions): Promise<GetBalancesResponse>;
    getTransactionsFor(address: string, limit: number): Promise<CovalentTxData[]>;
    getTransactionFor(txHash: string): Promise<GetTransactionsResponse>;
}
