"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.multicallContractAddresses = exports.multicallFunctionNames = exports.RPC_NODE_URL = exports.EVM_TRANSLATOR_CONNECTION_STRING = exports.ETHERSCAN_API_KEY = exports.COVALENT_API_KEY = exports.ALCHEMY_PROJECT_ID = exports.proxyBeaconAddress = exports.proxyImplementationAddress = exports.ERC20InterfaceId = exports.ERC721InterfaceId = exports.ERC1155InterfaceId = exports.ethAddress = exports.blackholeAddresses = exports.blackholeAddress = exports.REVERSE_RECORDS_CONTRACT_ADDRESS = void 0;
exports.REVERSE_RECORDS_CONTRACT_ADDRESS = '0x3671aE578E63FdF66ad4F3E12CC0c0d71Ac7510C';
exports.blackholeAddress = '0x0000000000000000000000000000000000000000';
exports.blackholeAddresses = [exports.blackholeAddress, '0x000000000000000000000000000000000000dead'];
exports.ethAddress = '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee';
exports.ERC1155InterfaceId = '0xd9b67a26';
exports.ERC721InterfaceId = '0x80ac58cd';
exports.ERC20InterfaceId = '0x36372b07';
// export const ERC2280InterfaceId = '0x25961920' idk if people even use this one yet
exports.proxyImplementationAddress = '0x360894a13ba1a3210667c828492db98dca3e2076cc3735a920a3ca505d382bbc';
exports.proxyBeaconAddress = '0xa3f0ad74e5423aebfd80d3ef4346578335a9a72aeaee59ff6cb3582b35133d50';
exports.ALCHEMY_PROJECT_ID = process.env.NEXT_PUBLIC_ALCHEMY_PROJECT_ID;
exports.COVALENT_API_KEY = process.env.COVALENT_API_KEY;
exports.ETHERSCAN_API_KEY = process.env.ETHERSCAN_API_KEY;
exports.EVM_TRANSLATOR_CONNECTION_STRING = process.env.EVM_TRANSLATOR_CONNECTION_STRING;
exports.RPC_NODE_URL = process.env.RPC_NODE_URL;
exports.multicallFunctionNames = ['multicall'];
exports.multicallContractAddresses = ['0xc36442b4a4522e871399cd717abdd847ab11fe88'];
//# sourceMappingURL=constants.js.map