"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ABI_RowModel = void 0;
const mongoose_1 = require("mongoose");
const ABI_RowSchema = new mongoose_1.Schema({
    name: { type: String, required: true },
    type: { type: String, required: true },
    hashableSignature: { type: String, required: true },
    hashedSignature: { type: String, required: true },
    fullSignature: { type: String, required: true },
    abiJSON: { type: {}, required: true },
    default: { type: Boolean, required: false },
}, { minimize: false }).index({ hashedSignature: 1, fullSignature: -1 }, { unique: true });
exports.ABI_RowModel = mongoose_1.models.abi || (0, mongoose_1.model)('abi', ABI_RowSchema);
//# sourceMappingURL=abi.js.map