"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContractModel = void 0;
const mongoose_1 = require("mongoose");
const ContractSchema = new mongoose_1.Schema({
    address: { type: String, required: true, lowercase: true },
    type: { type: String, required: true },
    tokenName: { type: String, required: false },
    tokenSymbol: { type: String, required: false },
    contractName: { type: String, required: false },
    contractOfficialName: { type: String, required: false },
    abi: { type: [], required: true },
}).index({ address: 1 }, { unique: true });
exports.ContractModel = (mongoose_1.models.contract || (0, mongoose_1.model)('contract', ContractSchema));
//# sourceMappingURL=contract.js.map