declare const testTxHashes: {
    UniswapV2: {
        swapExactTokensForETHSupportingFeeOnTransferTokens: string;
        swapExactETHForTokens: string;
        swapExactTokensForTokens: string;
        addLiquidityETH: string;
        removeLiquidityWithPermit: string;
        removeLiquidityETHWithPermit: string;
    };
    WyvernOpenSea: {
        atomicMatch_: string;
    };
    AaveV2: {
        repay: string;
        deposit: string;
        withdraw: string;
        borrow: string;
    };
    UniswapV3: {
        exactInputSingle: string;
        exactInput: string;
        exactOutputSingle: string;
        exactOutput: string;
        multicall: string;
    };
    UniswapV3NonFungiblePositionManager: {
        burn: string;
        collect: string;
        increaseLiquidity: string;
        mint: string;
        multicall: string;
        multicall_2: string;
    };
    CompoundETH: {
        mint: string;
        borrow: string;
        redeem: string;
    };
    CompoundERC20: {
        mint: string;
        borrow: string;
        redeem: string;
        repayBorrow: string;
    };
    ENS: {
        safeTransferFrom: string;
        setApprovalForAll: string;
        reclaim: string;
        registerWithConfig: string;
        renew: string;
        setName: string;
    };
    generic: {
        mintErc1155: string;
    };
    WETH: {
        deposit: string;
    };
    GnosisSafe: {};
};
export declare const multiSidedTxMap: Record<string, string[]>;
export declare function flattenTxHashes(): string[];
export default testTxHashes;
