"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddressNameModel = void 0;
const mongoose_1 = require("mongoose");
const AddressNameSchema = new mongoose_1.Schema({
    address: { type: String, required: true, lowercase: true, nullable: false },
    name: { type: String, required: false },
    entity: { type: String, required: false },
    ancestorAddress: { type: String, required: false, lowercase: true },
}).index({ address: 1 }, { unique: true });
exports.AddressNameModel = (mongoose_1.models.addressName ||
    (0, mongoose_1.model)('addressName', AddressNameSchema));
//# sourceMappingURL=addressName.js.map